> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform Payment Action For Return

> Sets the action of the specified payment transaction interaction. Available actions depend on the current status of the payment transaction.If in doubt, get a list of available payment actions first.  To retrieve the list of available actions, use an operation like GetAvailableReturnActions to view the actions available for the resource you are updating.



## OpenAPI

````yaml /openapi/openapi_commerce.json post /commerce/returns/{returnId}/payments/{paymentId}/actions
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/returns/{returnId}/payments/{paymentId}/actions:
    post:
      tags:
        - Return
      summary: Perform Payment Action For Return
      description: >-
        Sets the action of the specified payment transaction interaction.
        Available actions depend on the current status of the payment
        transaction.If in doubt, get a list of available payment actions first. 
        To retrieve the list of available actions, use an operation like
        GetAvailableReturnActions to view the actions available for the resource
        you are updating.
      parameters:
        - description: ''
          in: path
          name: returnId
          required: true
          schema:
            type: string
        - description: ''
          in: path
          name: paymentId
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentAction'
        description: >-
          Action to specify. Possible actions can be "Create," "Capture,"
          "Void," "AuthCapture," or "ReceiveCheck."
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Return'
            text/json:
              schema:
                $ref: '#/components/schemas/Return'
            text/plain:
              schema:
                $ref: '#/components/schemas/Return'
          description: Success
components:
  schemas:
    PaymentAction:
      properties:
        actionName:
          description: Name of the Action to post
          nullable: true
          type: string
        amount:
          description: Amount of funds to withdraw to pay for this order.
          format: double
          nullable: true
          type: number
        cancelUrl:
          description: "If paying by Paypal Express or some other potential non-gateway payment provider, a cancel redirect URL must be provided.\r\nThis will be used if something goes wrong on the third-party side."
          nullable: true
          type: string
        checkNumber:
          description: If paying by check, the check number.
          nullable: true
          type: string
        currencyCode:
          description: >-
            ISO currency code for the transaction. Currently, only USD is
            supported.
          nullable: true
          type: string
        data:
          description: Custom data from payment providers
          nullable: true
          type: object
        externalTransactionId:
          nullable: true
          type: string
        installmentPlanCode:
          description: >-
            Stores the Installment Plan code. Installment is only supported on
            subscription orders
          nullable: true
          type: string
        interactionDate:
          description: Date the interaction occurred
          format: date-time
          nullable: true
          type: string
        manualGatewayInteraction:
          $ref: '#/components/schemas/PaymentGatewayInteraction'
        newBillingInfo:
          $ref: '#/components/schemas/CommerceRuntimeBillingInfo'
        recaptcha:
          description: Recaptcha for validation.
          nullable: true
          type: string
        referenceSourcePaymentId:
          description: Reference payment id from which to copy the billing info.
          nullable: true
          type: string
        returnUrl:
          description: >-
            If paying by Paypal Express or some other potential non-gateway
            payment provider, a return redirect URL must be provided.
          nullable: true
          type: string
      type: object
    Return:
      description: ''
      properties:
        actionRequired:
          description: To find Returns that have failed to refund.
          type: boolean
        attributes:
          description: Collection of custom attributes associated with the return.
          items:
            $ref: '#/components/schemas/ReturnAttribute'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableActions:
          description: Current available actions.
          items:
            type: string
          nullable: true
          type: array
        canInitiateRefund:
          description: To identify Return is refundable or not.
          type: boolean
        changeMessages:
          description: Change messages related to the return.
          items:
            $ref: '#/components/schemas/CommerceRuntimeChangeMessage'
          nullable: true
          type: array
        channelCode:
          description: Unique identifier of the channel for this item.
          nullable: true
          type: string
        contact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        currencyCode:
          description: ISO Currency Code. Currently, only USD is supported.
          nullable: true
          type: string
        customerAccountId:
          description: Unique identifier of the customer account.
          format: int32
          nullable: true
          type: integer
        customerInteractionType:
          description: "Determines the interaction type that a customer will use to create this object.\r\nValid values are: Website, Store, Call, Unknown"
          nullable: true
          type: string
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        externalId:
          description: >-
            A return can be created from an external system. This field is used
            to store the external id.
          nullable: true
          type: string
        id:
          description: Unique Identifier for this Return
          nullable: true
          type: string
        isUnified:
          description: Was this return created by the Unified platform.
          type: boolean
        items:
          description: >-
            The list of items being returned by the Shopper and replaced by the
            Merchant in this Return.
          items:
            $ref: '#/components/schemas/ReturnItem'
          nullable: true
          type: array
        locationCode:
          description: Location code where the return was made/processed
          nullable: true
          type: string
        lossTotal:
          description: Sum of the ProductLossTotal and the ShippingLossTotal.
          format: double
          nullable: true
          type: number
        notes:
          description: Any Merchant Notes for this Return.
          items:
            $ref: '#/components/schemas/OrderNote'
          nullable: true
          type: array
        originalOrderId:
          description: The Id of the Order that this Return was generated from.
          nullable: true
          type: string
        originalOrderNumber:
          description: The order number that this return was generated from.
          format: int32
          nullable: true
          type: integer
        overrideReturnRule:
          description: >-
            When this is set to true, the  return rules will be ignored, and a
            return will be created without any checks.
          type: boolean
        packages:
          description: Shipping package associated with this return.
          items:
            $ref: '#/components/schemas/CommerceRuntimePackage'
          nullable: true
          type: array
        payments:
          description: Any Refund payments associated with this Return.
          items:
            $ref: '#/components/schemas/CommerceRuntimePayment'
          nullable: true
          type: array
        pickupDate:
          description: "Pickupdate is the date when the return was picked up by the carrier.\r\nThis is optional."
          format: date-time
          nullable: true
          type: string
        productLossTaxTotal:
          description: The Total Taxes assessed on the product loss.
          format: double
          nullable: true
          type: number
        productLossTotal:
          description: "The Total Loss Amount is equal to the (cost of item) * quantity of item returned.\r\nIt is meant to represent the product value to the merchant of the items damaged or returned by a shopper."
          format: double
          nullable: true
          type: number
        receiveStatus:
          description: "A rollup status describing whether the return items have been received.\r\nSee Mozu.CommerceRuntime.Contracts.Returns.Return.ReceiveStatusConst for possible values."
          nullable: true
          type: string
        refundAmount:
          description: >-
            If this Return was refunded,  how much was credited to the shopper?
            This amount is summed from the refund payments.
          format: double
          nullable: true
          type: number
        refundStatus:
          description: "A rollup status describing whether the return items have been refunded.\r\nSee Mozu.CommerceRuntime.Contracts.Returns.Return.RefundStatusConst for possible values."
          nullable: true
          type: string
        refundToGC:
          description: If this Flag is true, Refund will be done on new Gift Card.
          type: boolean
        replaceStatus:
          description: "A rollup status describing whether the return items have been marked as replaced.\r\nSee Mozu.CommerceRuntime.Contracts.Returns.Return.ReplaceStatusConst for possible values."
          nullable: true
          type: string
        returnNumber:
          description: >-
            A human-facing identifier that is unique within a tenant to
            represent the sequential ordering of Returns.
          format: int32
          nullable: true
          type: integer
        returnOrderId:
          description: >-
            The Id of the Order that represents the items shipped to the shopper
            for this Return.
          nullable: true
          type: string
        returnType:
          description: Specifies whether this Return was a Refund or a Replace
          nullable: true
          type: string
        rmaDeadline:
          description: >-
            The deadline for a Shopper to ship the items in this Return to the
            Merchant.
          format: date-time
          nullable: true
          type: string
        shipOrBillCountryCode:
          description: >-
            ShipOrBillCountryCode contains country code of shipping address or
            Billing address
          nullable: true
          type: string
        shippingLossTaxTotal:
          description: The Total Taxes assessed on the shipping loss.
          format: double
          nullable: true
          type: number
        shippingLossTotal:
          description: "The Shipping Loss Total is equal to the (shipping cost of item) * quantity of item returned.\r\nIt is meant to represent the product value to the merchant of the items damaged or returned by a shopper."
          format: double
          nullable: true
          type: number
        siteId:
          description: Unique identifier of the Site.
          format: int32
          nullable: true
          type: integer
        status:
          description: "The Status of the Return.  Valid values are \r\n    Null, Created, ReturnAuthorized, ReturnPending, ReturnReceived, ReplacementShipped, Cancelled, and Closed."
          nullable: true
          type: string
        taxData:
          description: Storage for any additional/custom tax data.
          nullable: true
          type: object
        tenantId:
          description: Unique identifier of the Tenant.
          format: int32
          nullable: true
          type: integer
        userId:
          description: Unique identifier of the current user.
          nullable: true
          type: string
        visitId:
          description: >-
            Identifies the Visit ID that was current when the order was placed
            or when the cart was last updated.
          nullable: true
          type: string
        webSessionId:
          description: >-
            Identifies the web session used to place the order or last update
            the cart.
          nullable: true
          type: string
      type: object
    PaymentGatewayInteraction:
      description: Represents a manually entered payment gateway interaction.
      properties:
        gatewayAVSCodes:
          description: Not populated by incoming request.
          nullable: true
          type: string
        gatewayAuthCode:
          description: >-
            Gateway Transaction Id from PCIaaS.  Not populated by incoming
            request.
          nullable: true
          type: string
        gatewayCVV2Codes:
          description: Not populated by incoming request.
          nullable: true
          type: string
        gatewayInteractionId:
          description: >-
            Gateway Transaction Id from PCIaaS.  Not populated by incoming
            request.
          format: int32
          nullable: true
          type: integer
        gatewayResponseCode:
          description: Not populated by incoming request.
          nullable: true
          type: string
        gatewayResponseText:
          description: Gateway response text. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayTransactionId:
          description: >-
            Gateway Transaction Id from PCIaaS.  Not populated by incoming
            request.
          nullable: true
          type: string
        isOrderRefund:
          description: Indicates the manual interaction is for a refund on an order.
          type: boolean
      type: object
    CommerceRuntimeBillingInfo:
      description: "Customer's payment details such as payment type (credit card, check by mail, or PayPal)\r\nand cardholder information if payment is by credit card."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        billingContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        card:
          $ref: '#/components/schemas/CommerceRuntimePaymentCard'
        check:
          $ref: '#/components/schemas/CheckPayment'
        customCreditType:
          description: Name of custom stored credit type
          nullable: true
          type: string
        data:
          description: Custom data from payment providers
          nullable: true
          type: object
        externalTransactionId:
          description: >-
            Transaction Id from third party payment source like Visa Checkout,
            Amazon
          nullable: true
          type: string
        isRecurring:
          description: >-
            Indicates whether the payment is used in recurring transactions. ex-
            subscription payments
          type: boolean
        isSameBillingShippingAddress:
          description: Indicates that billing and shipping address are the same
          type: boolean
        paymentType:
          description: "Type of payment, such as credit card, check by mail, or PayPal.\r\nsee Mozu.CommerceRuntime.Contracts.Payments.PaymentTypeConst for valid values"
          nullable: true
          type: string
        paymentWorkflow:
          nullable: true
          type: string
        purchaseOrder:
          $ref: '#/components/schemas/PurchaseOrderPayment'
        recurringTransactionId:
          description: "Recurring Payment Id returned by Payment Gateway\r\nnetworkTransactionId for vantiv\r\npreviousTransactionId for cybersource etc"
          nullable: true
          type: string
        storeCreditCode:
          description: The store credit to use for this purchase
          nullable: true
          type: string
        storeCreditType:
          description: The type of store credit used for this purchase
          nullable: true
          type: string
        token:
          $ref: '#/components/schemas/PaymentToken'
      type: object
    ReturnAttribute:
      properties:
        attributeDefinitionId:
          format: int32
          nullable: true
          type: integer
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        fullyQualifiedName:
          nullable: true
          type: string
        values:
          items: {}
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CommerceRuntimeChangeMessage:
      description: >-
        A message displayed by the system based on the last  action, for
        example, when a product price has changed. System-supplied and
        read-only.
      properties:
        amount:
          deprecated: true
          description: Monetary amount that pertains to the change if applicable
          format: double
          nullable: true
          type: number
        appId:
          description: App Id that identifies the user that performed the related change
          nullable: true
          type: string
        appKey:
          description: App Key
          nullable: true
          type: string
        appName:
          description: App Name
          nullable: true
          type: string
        attributes:
          additionalProperties: {}
          description: Additional Data. This property will be a Dictionary of objects.
          nullable: true
          type: object
        correlationId:
          description: Correlation Id
          nullable: true
          type: string
        createDate:
          description: When the message was created. System-supplied. Read-only.
          format: date-time
          nullable: true
          type: string
        id:
          description: Unique identifier of the  message. System-supplied. Read-only.
          nullable: true
          type: string
        identifier:
          description: >-
            Unique identifier to what the message pertains, which can be a cart
            item, cart or another generic entity. System-supplied. Read-only.
          nullable: true
          type: string
        message:
          description: Human readable message. System-supplied. Read-only.
          nullable: true
          type: string
        metadata:
          description: >-
            Data. This property will be a JSON array that will contain 0-N
            items, when there is 1 item it will still be an array containing
            only one item. System-supplied. Read-only.
          nullable: true
        newValue:
          deprecated: true
          description: Current price of the item. System-supplied. Read-only.
          nullable: true
          type: string
        oldValue:
          deprecated: true
          description: Original price of the item. System-supplied. Read-only.
          nullable: true
          type: string
        subject:
          description: >-
            Text on the subject line of the message, for example, the product
            name. System-supplied. Read-only.
          nullable: true
          type: string
        subjectType:
          description: >-
            Subject of the message, for example, "Product." System-supplied.
            Read-only.
          nullable: true
          type: string
        success:
          description: Indicates if the message is related to a success or failure.
          nullable: true
          type: boolean
        userFirstName:
          description: User First Name
          nullable: true
          type: string
        userId:
          description: User Id that identifies the user that performed the related change
          nullable: true
          type: string
        userLastName:
          description: User Last Name
          nullable: true
          type: string
        userScopeType:
          description: User Type (e.g. Shopper, Admin, etc.)
          nullable: true
          type: string
        verb:
          description: "Action applicable to the message. This can be \"Increased,\" when the product price has increased, \"Decreased,\" when the \r\nproduct price has decreased, and \"Invalidated,\" when the product is no longer available. System-supplied. Read-only."
          nullable: true
          type: string
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    ReturnItem:
      description: ''
      properties:
        attributes:
          description: Collection of attributes defined for this return item.
          items:
            $ref: '#/components/schemas/ReturnAttribute'
          nullable: true
          type: array
        bundledProducts:
          deprecated: true
          description: Deprecated. Not used.
          items:
            $ref: '#/components/schemas/ReturnBundle'
          nullable: true
          type: array
        data:
          description: Custom data for a given vendor set within the commerce process.
          nullable: true
          type: object
        dispositionInfo:
          items:
            $ref: '#/components/schemas/DisposeItemInfo'
          nullable: true
          type: array
        excludeProductExtras:
          description: "If this return item refers to a product/bundle that has product extras, this specifies whether those child items should be included or excluded.\r\nFor backward compatibility, a null value will be treated as false, i.e. include the extras."
          nullable: true
          type: boolean
        id:
          description: The identifier of the return
          nullable: true
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        notes:
          description: Any merchant-supplied notes for this ReturnItem.
          items:
            $ref: '#/components/schemas/OrderNote'
          nullable: true
          type: array
        orderItemId:
          description: >-
            The OrderItem that this ReturnItem is associated with. Either the
            Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.Product or the
            OrderItemId must be present.
          nullable: true
          type: string
        orderItemOptionAttributeFQN:
          description: >-
            If this item refers to a product extra, provide the item's
            corresponding OptionAttributeFQN.
          nullable: true
          type: string
        orderLineId:
          description: >-
            The OrderLineId that this ReturnItem is associated with. If
            Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.OrderItemId is
            present, the OrderLineId should be present also.
          format: int32
          nullable: true
          type: integer
        product:
          $ref: '#/components/schemas/CommerceRuntimeProduct'
        productLossAmount:
          description: >-
            The loss incurred of the returned products, used for accounting
            purposes.
          format: double
          nullable: true
          type: number
        productLossTaxAmount:
          description: The tax on the returned products, used for accounting purposes.
          format: double
          nullable: true
          type: number
        quantityReceived:
          description: "The amount of this item actually received from the shopper. It may differ from the sum of the ReturnReasons.\r\nThis is populated by the system when the Receive action is performed."
          format: int32
          type: integer
        quantityRefunded:
          description: The quantity of the item being refunded is specified in this field
          format: int32
          type: integer
        quantityReplaced:
          description: "Specifies the quantity of this item that has been marked as replaced, i.e. it has been used to generate a replacement order for the return.\r\nNote that the quantity replaced may not line up with the quantity of the item actually sent back to the shopper,\r\nsuch as in the case of an exchange, e.g. swapping a medium shirt for a large shirt."
          format: int32
          nullable: true
          type: integer
        quantityRestockable:
          description: "Of the quantity returned, how many of this item can be added back into the inventory? This item is set by the merchant via an UpdateReturn call.\r\nIt is used during the Restock action to set some quantity of this item back into the inventory management system."
          format: int32
          type: integer
        quantityRestocked:
          description: Field to specify How many items added to inventory
          format: int32
          type: integer
        quantityShipped:
          description: The quantity of this item fulfilled on the parent order.
          format: int32
          type: integer
        reasons:
          description: "For a given return reason (Damaged, Defective, MissingParts, DifferentExpectations, Late, NoLongerWanted, Other),\r\nhow many of the above OrderItem are to be replaced.  This value is provided by the Shopper when they request a Return."
          items:
            $ref: '#/components/schemas/ReturnReason'
          nullable: true
          type: array
        receiveStatus:
          description: "Describes the receive status of this item.\r\nIf Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ReturnNotRequired is {true}, then this should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReceiveStatusConst.NOT_REQUESTED.\r\nOtherwise the value should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReceiveStatusConst.RECEIVED or Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReceiveStatusConst.WAITING depending on Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.QuantityReceived."
          nullable: true
          type: string
        refundAmount:
          description: >-
            If a refund is issued for the return, how much of the refund amount
            is for this particular item.
          format: double
          nullable: true
          type: number
        refundStatus:
          description: "Describes the refund status of this item.\r\nIf Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ReturnType is Mozu.CommerceRuntime.Contracts.Returns.Return.ReturnTypeConst.REPLACE, then this should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemRefundStatusConst.NOT_REQUESTED.\r\nOtherwise the value should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemRefundStatusConst.REFUNDED or Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemRefundStatusConst.NOT_REFUNDED depending on Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.RefundAmount."
          nullable: true
          type: string
        replaceStatus:
          description: "Describes the replace status of this item.\r\nIf Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ReturnType is Mozu.CommerceRuntime.Contracts.Returns.Return.ReturnTypeConst.REFUND, then this should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReplaceStatusConst.NOT_REQUESTED.\r\nOtherwise the value should be Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReplaceStatusConst.REPLACED or Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.ItemReplaceStatusConst.NOT_REPLACED depending on Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.QuantityReplaced."
          nullable: true
          type: string
        returnNotRequired:
          description: "Specifies whether this item should be returned to the merchant, e.g. if the item is irreparably damaged and it's not worth shipping back.\r\nEven if this is set to true, Mozu.CommerceRuntime.Contracts.Returns.ReturnItem.QuantityShipped should still be set to the quantity of items involved in the return."
          type: boolean
        returnProcessingFeeApplied:
          description: The processing fee on the item that gets persisted into the database
          format: double
          nullable: true
          type: number
        returnType:
          description: >-
            Specifies whether the requested resolution for this item is Refund
            or Replace.
          nullable: true
          type: string
        shipmentItemId:
          description: The identifier of the item
          format: int32
          nullable: true
          type: integer
        shipmentNumber:
          format: int32
          nullable: true
          type: integer
        shippingAndHandlingRefunded:
          description: Determines if shipping and handling is returned on the item
          nullable: true
          type: boolean
        shippingLossAmount:
          description: >-
            The loss incurred of the returned product shipping, used for
            accounting purposes.
          format: double
          nullable: true
          type: number
        shippingLossTaxAmount:
          description: >-
            The tax on the returned product shipping, used for accounting
            purposes.
          format: double
          nullable: true
          type: number
        taxData:
          description: Additional tax-related data for this return item.
          nullable: true
          type: object
        totalWithWeightedShippingAndHandling:
          description: >-
            Line item total with line item, Tax, Weighted Tax with Weighted
            shipping and handling costs
          format: double
          nullable: true
          type: number
        totalWithoutWeightedShippingAndHandling:
          description: Taxable Subtotal including Weighted Order amounts
          format: double
          nullable: true
          type: number
      type: object
    OrderNote:
      description: >-
        Internal notes that a merchant may add to the order. Maximum 250
        characters.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        id:
          description: Unique identifier of the note. System-supplied and read-only.
          nullable: true
          type: string
        text:
          description: Text of the note. Maximum 250 characters.
          nullable: true
          type: string
      type: object
    CommerceRuntimePackage:
      allOf:
        - $ref: '#/components/schemas/CommerceRuntimeCollectionOfPackageItem'
      description: Describes a package that will be shipped to somebody
      properties:
        attributes:
          additionalProperties: {}
          nullable: true
          type: object
        carrier:
          description: Carrier of this package
          nullable: true
          type: string
        fxcbDocumentsUrl:
          nullable: true
          type: string
        fxcbPackNotificationId:
          nullable: true
          type: string
        hasLabel:
          description: >-
            If there is a shipping label present for this Package, this will be
            set to true
          type: boolean
        integratorId:
          nullable: true
          type: string
        labelFormat:
          nullable: true
          type: string
        manifestId:
          nullable: true
          type: string
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        packageId:
          nullable: true
          type: string
        packagingType:
          description: Packaging type of this package
          nullable: true
          type: string
        packingSlipItemDetails:
          description: PackingSlipItemDetails for this package
          items:
            $ref: '#/components/schemas/CommerceRuntimePackingSlipItemDetail'
          nullable: true
          type: array
        packingSlipNumber:
          description: PackingSlipNumber for this package
          format: int32
          nullable: true
          type: integer
        returnCarrier:
          nullable: true
          type: string
        returnTrackingNumbers:
          items:
            type: string
          nullable: true
          type: array
        returnTrackings:
          items:
            $ref: '#/components/schemas/CommerceRuntimeTracking'
          nullable: true
          type: array
        shipmentId:
          description: ID of the related shipment
          nullable: true
          type: string
        shippingMethodCode:
          description: Code describing the shipping method.
          nullable: true
          type: string
        shippingMethodName:
          description: Name of the shipping method
          nullable: true
          type: string
        signatureRequired:
          description: SignatureRequired for this package
          nullable: true
          type: boolean
        trackingNumber:
          description: Tracking number of this package (to support classic use cases)
          nullable: true
          type: string
        trackingNumbers:
          description: Tracking number of this package
          items:
            type: string
          nullable: true
          type: array
        trackings:
          description: Tracking number and url data for this package
          items:
            $ref: '#/components/schemas/CommerceRuntimeTracking'
          nullable: true
          type: array
      type: object
    CommerceRuntimePayment:
      description: "Payment transaction associated with this order. It is the entire payment interchange between the merchant who is forwarding the customer's payment \r\ninformation and the payment service who is authorizing and capturing payment. Payment can be either by credit card, check, or PayPal. (PayPal not\r\ncurrently supported.)"
      properties:
        amountCollected:
          description: Amount collected on the payment
          format: double
          type: number
        amountCredited:
          description: Amount credited back to the payment.
          format: double
          type: number
        amountRequested:
          description: "Derived from the Amount on the initial payment create, used to help storefront determine how much can be captured for multiple payments.\r\nSee Order.AmountRemainingForPayment for an example."
          format: double
          type: number
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableActions:
          description: Actions available to the payment
          items:
            type: string
          nullable: true
          type: array
        billingInfo:
          $ref: '#/components/schemas/CommerceRuntimeBillingInfo'
        changeMessages:
          description: Change messages related to the payment.
          items:
            $ref: '#/components/schemas/CommerceRuntimeChangeMessage'
          nullable: true
          type: array
        data:
          description: Custom data from payment providers
          nullable: true
          type: object
        externalTransactionId:
          description: >-
            The external/third party transaction Id for this payment. This is
            used to store the transaction Id from digital wallet like Visa
            Checkout
          nullable: true
          type: string
        gatewayGiftCard:
          $ref: '#/components/schemas/GatewayGiftCard'
        groupId:
          $ref: '#/components/schemas/PaymentActionTarget'
        id:
          description: Unique identifier of this order transaction.
          nullable: true
          type: string
        installmentPlanCode:
          description: >-
            Stores the Installment Plan code. Installment is only supported on
            subscription orders
          nullable: true
          type: string
        interactions:
          description: "List of intereactions for this transaction. A transaction is created upon authorization and lasts across the payment \r\ninterchange, which can consist of multiple interactions, such as consecutive captures."
          items:
            $ref: '#/components/schemas/PaymentInteraction'
          nullable: true
          type: array
        isRecurring:
          description: "If true, the product is purchased or fulfilled at regular intervals, for example, \r\nmonthly billing or a subscription. (Not currently supported.)"
          type: boolean
        orderId:
          description: >-
            Unique identifier of the order with which this transaction is
            associated.
          nullable: true
          type: string
        paymentServiceTransactionId:
          description: >-
            Unique identifier of the transaction, specified by the payment
            service processesing this transaction.
          nullable: true
          type: string
        paymentType:
          description: Type of Payment
          nullable: true
          type: string
        paymentWorkflow:
          description: >-
            The source of data for this payment.  By default, this will be set
            to 'mozu'
          nullable: true
          type: string
        status:
          description: >-
            Current status of this transaction which are described by the
            PaymentStatusConst class.
          nullable: true
          type: string
        subPayments:
          description: >-
            List of sub payments that correspond to child orders in case of
            multiship orders.
          items:
            $ref: '#/components/schemas/SubPayment'
          nullable: true
          type: array
      type: object
    CommerceRuntimePaymentCard:
      allOf:
        - $ref: '#/components/schemas/PaymentCardReference'
      description: "If the customer is paying by credit card, the card holder's details, such as the name on the card, number, billing \r\naddress, and expiration dates."
      properties:
        ccLastFour:
          description: "Last four digit of Credit card\r\nOnly for OMS Only tenant."
          nullable: true
          type: string
        isCardInfoSaved:
          description: If true, the card information is stored in the customer's account.
          type: boolean
        isTokenized:
          description: If true, the card is tokenized by external provider
          type: boolean
        isUsedRecurring:
          description: >-
            If true, the credit card is charged on a regular interval, such as
            for a subscription. (Not supported currently.)
          nullable: true
          type: boolean
        nameOnCard:
          description: Card holder's name as it appears on the card.
          nullable: true
          type: string
        paymentServiceCardId:
          description: Credit card number.
          nullable: true
          type: string
      type: object
    CheckPayment:
      properties:
        checkNumber:
          nullable: true
          type: string
      type: object
    PurchaseOrderPayment:
      description: Purchase order payment
      properties:
        customFields:
          description: Memo/custom fields
          items:
            $ref: '#/components/schemas/CommerceRuntimePurchaseOrderCustomField'
          nullable: true
          type: array
        paymentTerm:
          $ref: '#/components/schemas/CommerceRuntimePurchaseOrderPaymentTerm'
        purchaseOrderNumber:
          description: Purchase order number
          nullable: true
          type: string
      type: object
    PaymentToken:
      properties:
        paymentServiceTokenId:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
    ReturnBundle:
      properties:
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        quantity:
          description: >-
            The amount of this particular product in a bundle that is in this
            Return
          format: int32
          type: integer
      type: object
    DisposeItemInfo:
      properties:
        condition:
          nullable: true
          type: string
        locationCode:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        status:
          nullable: true
          type: string
      type: object
    InventoryTags:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CommerceRuntimeProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: The product as it appears on the order item.
      properties:
        bundledProducts:
          description: >-
            Products bundled with this product (if the current product is a
            bundle)
          items:
            $ref: '#/components/schemas/CommerceRuntimeBundledProduct'
          nullable: true
          type: array
        categories:
          description: Categories to which this product belongs.
          items:
            $ref: '#/components/schemas/CommerceRuntimeCategory'
          nullable: true
          type: array
        condition:
          description: Condition
          nullable: true
          type: string
        discountsRestricted:
          description: Is the product discount restricted
          nullable: true
          type: boolean
        discountsRestrictedEndDate:
          description: Product discount restriction end date
          format: date-time
          nullable: true
          type: string
        discountsRestrictedStartDate:
          description: Product discount restriction start date
          format: date-time
          nullable: true
          type: string
        fulfillmentFields:
          description: List of unique product identifiers for an item on shipment
          items:
            $ref: '#/components/schemas/CommerceRuntimeFulfillmentField'
          nullable: true
          type: array
        fulfillmentTypesSupported:
          description: Types of fulfillment that are supported for this product.
          items:
            type: string
          nullable: true
          type: array
        imageAlternateText:
          description: >-
            Descriptive text of the image associated with the product in the
            language specified by LocaleCode.
          nullable: true
          type: string
        imageUrl:
          description: >-
            URL of the image that appears next to the product on the order item.
            Optional.
          nullable: true
          type: string
        isRecurring:
          description: >-
            If true, the product is purchased or fulfilled at regular intervals,
            for example, a monthly billing or a subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: If true, the product is eligible for tax.
          nullable: true
          type: boolean
        mfgPartNumber:
          description: Manufacturing Part Number of the product.
          nullable: true
          type: string
        options:
          description: >-
            If the product contains configurable or stand-alone options, the
            list of product options that the shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductOption'
          nullable: true
          type: array
        price:
          $ref: '#/components/schemas/CommerceRuntimeProductPrice'
        productType:
          description: >-
            Type of product, which can be a product with configurable options, a
            product with stand-alone options, or a simple product with no
            options.
          nullable: true
          type: string
        productUsage:
          description: >-
            Usage of the product, primarily used to indicate a bundle in this
            context
          nullable: true
          type: string
        properties:
          description: >-
            If the product contains properties, the list of properties that the
            shopper selected for this product.
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductProperty'
          nullable: true
          type: array
        serialNumber:
          description: Serial Number
          nullable: true
          type: string
        sku:
          description: Product Identifier specific to the store
          nullable: true
          type: string
        upc:
          description: Universal Product Code of the product.
          nullable: true
          type: string
        variationProductCode:
          description: >-
            For configurable products, the unique identifier of the product
            variation that has been selected.
          nullable: true
          type: string
      type: object
    ReturnReason:
      description: Represents a quantity associated with a given reason for a return
      properties:
        quantity:
          description: The quantity associated with this Reason.
          format: int32
          type: integer
        reason:
          description: The reason this item has been returned.
          nullable: true
          type: string
      type: object
    CommerceRuntimeCollectionOfPackageItem:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableActions:
          description: Actions that can be taken on this fulfillment unit
          items:
            type: string
          nullable: true
          type: array
        changeMessages:
          description: Change messages related to the fulfillment unit.
          items:
            $ref: '#/components/schemas/CommerceRuntimeChangeMessage'
          nullable: true
          type: array
        code:
          description: "A human-readable identifier for this fulfillment unit.  If not set on create, will be autogenerated as a string of the form\r\n    {fulfillmentUnitType} #{next available int}"
          nullable: true
          type: string
        fulfillmentDate:
          description: Date of the pickup
          format: date-time
          nullable: true
          type: string
        fulfillmentLocationCode:
          description: Location code from which to obtain this item
          nullable: true
          type: string
        id:
          description: ID of the fulfillment unit.
          nullable: true
          type: string
        items:
          description: List of items in the fulfillment unit
          items:
            $ref: '#/components/schemas/CommerceRuntimePackageItem'
          nullable: true
          type: array
        status:
          description: "Status of the fulfillment unit\r\nSee FulfillmentStatusConst"
          nullable: true
          type: string
      type: object
    CommerceRuntimePackageMeasurements:
      description: >-
        Physical dimensions of the package required to ship the product and its
        weight.
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    CommerceRuntimePackingSlipItemDetail:
      properties:
        attributes:
          additionalProperties: {}
          description: Gets or Sets Attributes
          nullable: true
          type: object
        lineId:
          description: Gets or Sets LineId
          format: int32
          nullable: true
          type: integer
        originalOrderItemId:
          description: Gets or Sets OriginalOrderItemId
          nullable: true
          type: string
        quantity:
          description: Gets or Sets Quantity
          format: int32
          nullable: true
          type: integer
      type: object
    CommerceRuntimeTracking:
      properties:
        attributes:
          additionalProperties: {}
          nullable: true
          type: object
        number:
          nullable: true
          type: string
        url:
          nullable: true
          type: string
      type: object
    GatewayGiftCard:
      properties:
        amount:
          format: double
          type: number
        cardNumber:
          nullable: true
          type: string
        cardPin:
          nullable: true
          type: string
        currencyCode:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
      type: object
    PaymentActionTarget:
      properties:
        targetId:
          description: The Id of the Checkout/Order/Return to target.
          nullable: true
          type: string
        targetNumber:
          description: The number of the Checkout/Order/Return to target.
          format: int32
          nullable: true
          type: integer
        targetType:
          description: >-
            Specifies if the
            Mozu.CommerceRuntime.Contracts.Payments.PaymentActionTarget.TargetId
            is a Checkout Id, Order Id, or Return Id.
          nullable: true
          type: string
      type: object
    PaymentInteraction:
      description: "A single interaction of a potential list of interactions for a transaction. The scope of the transaction is the entire payment\r\ninterchange. It is created upon authorization and is used for all subsequent interactions performed against the authorize,\r\nsuch as consecutive captures."
      properties:
        amount:
          description: Amount of funds associated with this interaction.
          format: double
          nullable: true
          type: number
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        capturableShipmentsSummary:
          description: >-
            Stores pairings of shipment number to shipment total for all
            captured shipments. This was added for generating TLogs.
          items:
            $ref: '#/components/schemas/CapturableShipmentSummary'
          nullable: true
          type: array
        checkNumber:
          description: If paying by check, the check number.
          nullable: true
          type: string
        currencyCode:
          description: >-
            ISO currency code for the transaction. Currently, only USD is
            supported.
          nullable: true
          type: string
        gatewayAVSCodes:
          description: Gateway AVS Codes. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayAuthCode:
          description: >-
            If required by the payment gateway, the authorization code of the
            transaction. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayCVV2Codes:
          description: Gateway CVV2 Codes. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayInteractionId:
          description: "Unique identifier of the gateway interaction. Used for credit card transactions, where the\r\npayment service creates a GatewayInteractionId for each transaction interaction."
          format: int32
          nullable: true
          type: integer
        gatewayResponseCode:
          description: Gateway response code. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayResponseData:
          description: >-
            A List of payment response data required to act on authorization
            when using external order management systems
          items:
            $ref: '#/components/schemas/PaymentGatewayResponseData'
          nullable: true
          type: array
        gatewayResponseText:
          description: Gateway response text. Supplied by PCIaaS.
          nullable: true
          type: string
        gatewayTransactionId:
          description: Unique identifier of the transaction supplied by PCIaaS.
          nullable: true
          type: string
        id:
          description: Unique identifier of this payment transaction interaction.
          nullable: true
          type: string
        interactionDate:
          description: Date the interaction occurred
          format: date-time
          nullable: true
          type: string
        interactionType:
          description: "Types of transaction interactions which can be \"Authorization,\" \"Capture,\" \"AuthorizeAndCapture,\"\r\n\"Void,\" or \"Credit,\" \"CheckRequested,\" or \"CheckReceived.\""
          nullable: true
          type: string
        isManual:
          description: If the payment is a manual payment, this is set to true
          type: boolean
        isPending:
          description: >-
            If true, indicates payment action is still pending and not yet
            confirmed.
          type: boolean
        isRecurring:
          description: >-
            If true, the product is purchased or fulfilled at regular intervals,
            for example, a monthly billing or a subscription. (Not currently
            implemented.)
          nullable: true
          type: boolean
        note:
          description: Note to be entered by merchant/application
          nullable: true
          type: string
        orderId:
          description: >-
            Unique identifier of the order with which this transaction is
            associated.
          nullable: true
          type: string
        paymentEntryStatus:
          description: Status of the payment when the transaction interaction was created
          nullable: true
          type: string
        paymentId:
          description: >-
            Unique identifier of the original transaction of which this current
            interaction is a part.
          nullable: true
          type: string
        paymentTransactionInteractionIdReference:
          description: "Unique identifier of previous PaymentTransactionInteraction that this PaymentTransactionInteraction is modifying.\r\nFor instance, when crediting a capture, set the PaymentTransactionInteractionIdReference to the capture PaymentTransactionInteractionID."
          format: int32
          nullable: true
          type: integer
        refundId:
          description: Refund Id, if the interaction is for a stand alone refund.
          nullable: true
          type: string
        returnId:
          description: Return Id, if the interaction is a Credit for a return-refund.
          nullable: true
          type: string
        status:
          description: >-
            Status of the payment transaction interaction which can be either
            "Success" or "Failure."
          nullable: true
          type: string
        target:
          $ref: '#/components/schemas/PaymentActionTarget'
      type: object
    SubPayment:
      properties:
        amountCollected:
          format: double
          type: number
        amountCredited:
          format: double
          type: number
        amountRefunded:
          format: double
          type: number
        amountRequested:
          format: double
          type: number
        status:
          nullable: true
          type: string
        target:
          $ref: '#/components/schemas/PaymentActionTarget'
      type: object
    PaymentCardReference:
      properties:
        bin:
          description: Year when the card expires.
          nullable: true
          type: string
        cardNumberPartOrMask:
          description: "The visible part of the card number that the merchant uses to refer to \r\npayment information, for example, the last for digits of the card number."
          nullable: true
          type: string
        expireMonth:
          description: Month when the card expires.
          format: int32
          type: integer
        expireYear:
          description: Year when the card expires.
          format: int32
          type: integer
        paymentOrCardType:
          description: Card type such as Visa, MasterCard, American Express, or Discover.
          nullable: true
          type: string
      type: object
    CommerceRuntimePurchaseOrderCustomField:
      properties:
        code:
          nullable: true
          type: string
        label:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CommerceRuntimePurchaseOrderPaymentTerm:
      properties:
        code:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
      type: object
    ProductBase:
      properties:
        allocationExpiration:
          description: Allocation ID associated with this product on this order.
          format: date-time
          nullable: true
          type: string
        allocationId:
          description: Allocation ID associated with this product on this order.
          format: int32
          nullable: true
          type: integer
        description:
          description: >-
            Short description of the product in the language specified by
            LocaleCode.
          nullable: true
          type: string
        fulfillmentStatus:
          description: Fulfillment status of the product.
          nullable: true
          type: string
        goodsType:
          description: Goods Type
          nullable: true
          type: string
        isPackagedStandAlone:
          description: Indicates that this product ships by itself.
          type: boolean
        measurements:
          $ref: '#/components/schemas/CommerceRuntimePackageMeasurements'
        name:
          description: >-
            Name of the product, this is the current value of the product's name
            in the language specified by LocaleCode.
          nullable: true
          type: string
        productCode:
          description: Merchant-created code that uniquely identifies the product.
          nullable: true
          type: string
        productReservationId:
          description: Reservation ID associated with this product in the bundle.
          format: int32
          nullable: true
          type: integer
        stock:
          $ref: '#/components/schemas/ProductStock'
      type: object
    CommerceRuntimeBundledProduct:
      allOf:
        - $ref: '#/components/schemas/ProductBase'
      description: Describes products that are bundled inside of a main bundle product.
      properties:
        creditValue:
          description: >-
            Credit value.  Only populated if the bundled product is a gift card
            or digital credit
          format: double
          nullable: true
          type: number
        deltaPrice:
          description: Only populated for extras
          format: double
          nullable: true
          type: number
        imageUrl:
          description: ImageUrl of product
          nullable: true
          type: string
        optionAttributeFQN:
          description: Fully Qualified Name of the selected option's attribute
          nullable: true
          type: string
        optionValue:
          description: Value of the selected option
          nullable: true
        quantity:
          description: Quantity of the product included in the bundle.
          format: int32
          type: integer
      type: object
    CommerceRuntimeCategory:
      description: >-
        Categories to which the product belongs. Discounts can apply to
        categories where any product in the category is discounted.
      properties:
        id:
          description: Unique identifier of the category. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        parent:
          type: object
      type: object
    CommerceRuntimeFulfillmentField:
      properties:
        name:
          nullable: true
          type: string
        required:
          type: boolean
        userEnteredValue:
          nullable: true
      type: object
    CommerceRuntimeProductOption:
      description: "Product option for the product listed on this order item. If the product contains \r\nconfigurable or stand-alone options, this is a product option that the shopper has selected."
      properties:
        attributeFQN:
          description: Value of the product option.
          nullable: true
          type: string
        dataType:
          description: Value of the product option.
          nullable: true
          type: string
        name:
          description: >-
            Name of the product option that appears with the order item in the
            language specified by LocaleCode.
          nullable: true
          type: string
        shopperEnteredValue:
          description: >-
            The value entered by the shopper if this is an option that requires
            shopper input, for example, a monogram.
          nullable: true
        stringValue:
          description: Value of the product option.
          nullable: true
          type: string
        value:
          description: Value of the product option.
          nullable: true
      type: object
    CommerceRuntimeProductPrice:
      description: Price of the product with any sale and discounts applied.
      properties:
        creditValue:
          description: >-
            Credit Value when the product happens to be a gift card or similar
            product
          format: double
          nullable: true
          type: number
        isOverRidePriceSalePrice:
          description: >-
            Indicate that External Price (TenantOverridePrice) is a Sale Price.
            And is used to calculate the line item discounts.
          nullable: true
          type: boolean
        msrp:
          description: MSRP of product.
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Price of the product. This is the price that the merchant intends to
            sell the product if no sale price is present.
          format: double
          nullable: true
          type: number
        priceListCode:
          description: Pricelist code for the product
          nullable: true
          type: string
        priceListEntryMode:
          description: "Pricelist entry mode of the product.\r\nNote: possible values are below\r\n1. null : Product doesn't participate in pricelist\r\n2. Bulk : Bulk volume price available(unit price vary based on quantity)\r\n3. Simple:"
          nullable: true
          type: string
        salePrice:
          description: >-
            Current sale price of the product, which is a specific numerical
            amount (not a percentage off).
          format: double
          nullable: true
          type: number
        tenantOverridePrice:
          description: An override price applied on the product by the tenant.
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeProductProperty:
      properties:
        attributeFQN:
          nullable: true
          type: string
        dataType:
          nullable: true
          type: string
        isMultiValue:
          type: boolean
        name:
          nullable: true
          type: string
        values:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductPropertyValue'
          nullable: true
          type: array
      type: object
    CommerceRuntimePackageItem:
      allOf:
        - $ref: '#/components/schemas/AbstractFulfillmentItem'
      description: An item in a package representing a particular product.
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    CapturableShipmentSummary:
      properties:
        amountApplied:
          description: The amount applied by the payment action
          format: double
          type: number
        shipmentNumber:
          description: >-
            The identifying number of the shipment affected by the payment
            action
          format: int32
          type: integer
        shipmentTotal:
          description: The shipment's total when the payment action occurred
          format: double
          type: number
      type: object
    PaymentGatewayResponseData:
      description: Payment gateway response data
      properties:
        key:
          description: Key from payment gateway
          nullable: true
          type: string
        value:
          description: Value from payment gateway
          nullable: true
          type: string
      type: object
    ProductStock:
      properties:
        aggregateInventory:
          format: int32
          nullable: true
          type: integer
        availableDate:
          format: date-time
          nullable: true
          type: string
        availableFutureInventories:
          format: int32
          readOnly: true
          type: integer
        futureInventories:
          items:
            $ref: '#/components/schemas/CommerceRuntimeFutureInventory'
          nullable: true
          type: array
        isOnBackOrder:
          type: boolean
        isSubstitutable:
          nullable: true
          type: boolean
        manageStock:
          type: boolean
        stockAvailable:
          format: int32
          nullable: true
          type: integer
        totalAvailableStock:
          format: int32
          readOnly: true
          type: integer
      type: object
    CommerceRuntimeProductPropertyValue:
      properties:
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
    AbstractFulfillmentItem:
      properties:
        fulfillmentItemType:
          description: The type of fulfillment item
          nullable: true
          type: string
        lineId:
          description: The line id associated with the fulfillment.
          format: int32
          nullable: true
          type: integer
        optionAttributeFQN:
          nullable: true
          type: string
        productCode:
          description: Code of the Product to be fulfilled.
          nullable: true
          type: string
        quantity:
          description: Quantity of the order item
          format: int32
          type: integer
      type: object
    CommerceRuntimeFutureInventory:
      properties:
        allocated:
          format: int32
          nullable: true
          type: integer
        available:
          format: int32
          nullable: true
          type: integer
        createDate:
          format: date-time
          nullable: true
          type: string
        deliveryDate:
          format: date-time
          nullable: true
          type: string
        futureInventoryID:
          format: int32
          nullable: true
          type: integer
        onhand:
          format: int32
          nullable: true
          type: integer
        pending:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````